libxml2: _xmlParserCtxt Struct Reference

libxml2

Loading...
Searching...
No Matches
Data Fields
_xmlParserCtxt Struct Reference

Parser context. More...

`#include <parser.h>`

## Data Fields
struct _xmlSAXHandler * | sax
void * | userData
xmlDoc * | myDoc
int | wellFormed
int | replaceEntities
xmlChar * | version
xmlChar * | encoding
int | standalone
int | html
xmlParserInput * | input
| Current input stream.
xmlNode * | node
int | errNo
int | valid
int | validate
xmlValidCtxt | vctxt
char * | directory
int | keepBlanks
int | disableSAX
int | inSubset
const xmlChar * | intSubName
xmlChar * | extSubURI
xmlChar * | extSubSystem
int | pedantic
void * | _private
int | loadsubset
void * | catalogs
int | recovery
xmlDict * | dict
int | nsWellFormed
int | options
int | dictNames
xmlError | lastError

## Detailed Description

Parser context.

## Field Documentation

## ◆ _private

void* _private

Deprecated
  Use xmlCtxtGetPrivate() and xmlCtxtSetPrivate()

For user data, libxml won't touch it

## ◆ catalogs

void* catalogs

Deprecated
  Use xmlCtxtGetCatalogs() and xmlCtxtSetCatalogs()

document's own catalog

## ◆ dict

xmlDict* dict

Deprecated
  Use xmlCtxtGetDict() and xmlCtxtSetDict()

dictionary for the parser

## ◆ dictNames

int dictNames

Deprecated
  Use inverted xmlParserOption XML_PARSE_NODICT

Use dictionary names for the tree

## ◆ directory

char* directory

Deprecated
  Don't use

The main document URI, if available, with its last component stripped.

## ◆ disableSAX

int disableSAX

Deprecated
  Use xmlCtxtIsStopped()

SAX callbacks are disabled

## ◆ encoding

xmlChar* encoding

Deprecated
  Use xmlCtxtGetDeclaredEncoding()

the declared encoding, if any

## ◆ errNo

int errNo

Deprecated
  Use xmlCtxtGetLastError()

error code

## ◆ extSubSystem

xmlChar* extSubSystem

Deprecated
  Use the publicId argument of the internalSubset SAX callback or xmlCtxtGetDocTypeDecl

This member is MISNAMED. It contains the public identifier of the external subset.

## ◆ extSubURI

xmlChar* extSubURI

Deprecated
  Use the systemId argument of the internalSubset SAX callback or xmlCtxtGetDocTypeDecl

System identifier (URI) of external the subset.

## ◆ html

int html

Deprecated
  Use xmlCtxtIsHtml()

non-zero for HTML documents, actually an htmlInsertMode

## ◆ inSubset

int inSubset

Deprecated
  Use xmlCtxtIsInSubset

Set if DTD content is parsed.

- 0: not in DTD
- 1: in internal DTD subset
- 2: in external DTD subset

## ◆ intSubName

const xmlChar* intSubName

Deprecated
  Use the name argument of the internalSubset SAX callback or xmlCtxtGetDocTypeDecl

Name of the internal subset (root element type).

## ◆ keepBlanks

int keepBlanks

Deprecated
  Use inverted xmlParserOption XML_PARSE_NOBLANKS

ugly but ...

## ◆ lastError

xmlError lastError

Deprecated
  Use xmlCtxtGetLastError()

the complete error information for the last error.

## ◆ loadsubset

int loadsubset

Deprecated
  Use xmlParserOption XML_PARSE_DTDLOAD, XML_PARSE_DTDATTR or XML_PARSE_SKIP_IDS.

Control loading of the external subset and handling of IDs. Other options like validate can override this value.

- 0: The default behavior is to process IDs and to ignore the external subset.
- XML_DETECT_IDS: Load external subset. This flag is misnamed. ID handling is only controlled by XML_SKIP_IDS.
- XML_COMPLETE_ATTRS: Load external subset and process default attributes.
- XML_SKIP_IDS: Ignore IDs.

## ◆ myDoc

xmlDoc* myDoc

Deprecated
  Use xmlCtxtGetDocument()

the document being built

## ◆ node

xmlNode* node

Deprecated
  Use xmlCtxtGetNode

The current element.

## ◆ nsWellFormed

int nsWellFormed

Deprecated
  Use xmlCtxtGetStatus()

is the document XML Namespace okay

## ◆ options

int options

Deprecated
  Use xmlCtxtGetOptions()

Extra options

## ◆ pedantic

int pedantic

Deprecated
  Use xmlParserOption XML_PARSE_PEDANTIC

signal pedantic warnings

## ◆ recovery

int recovery

Deprecated
  Use xmlParserOption XML_PARSE_RECOVER run in recovery mode

## ◆ replaceEntities

int replaceEntities

Deprecated
  Use xmlParserOption XML_PARSE_NOENT

shall we replace entities?

## ◆ sax

struct _xmlSAXHandler* sax

Deprecated
  Use xmlCtxtGetSaxHandler() and xmlCtxtSetSaxHandler().

the SAX handler

## ◆ standalone

int standalone

Deprecated
  Use xmlCtxtGetStandalone()

standalone document

## ◆ userData

void* userData

Deprecated
  Use xmlCtxtGetUserData

user data for SAX interface, defaults to the context itself

## ◆ valid

int valid

Deprecated
  Use xmlCtxtGetStatus()

is the document valid

## ◆ validate

int validate

Deprecated
  Use xmlParserOption XML_PARSE_DTDVALID

shall we try to validate?

## ◆ vctxt

xmlValidCtxt vctxt

Deprecated
  Use xmlCtxtGetValidCtxt()

The validity context

## ◆ version

xmlChar* version

Deprecated
  Use xmlCtxtGetVersion()

the XML version string

## ◆ wellFormed

int wellFormed

Deprecated
  Use xmlCtxtGetStatus()

is the document well formed?

The documentation for this struct was generated from the following file:

- parser.h